<?php

 
 
 
 
 
 

namespace Google\Protobuf;

class EnumDescriptor
{
    private $internal_desc;

    


    public function __construct($internal_desc)
    {
        $this->internal_desc = $internal_desc;
    }

    


    public function getFullName()
    {
        return $this->internal_desc->getFullName();
    }

    


    public function getClass()
    {
        return $this->internal_desc->getClass();
    }

    



    public function getValue($index)
    {
        return $this->internal_desc->getValueDescriptorByIndex($index);
    }

    


    public function getValueCount()
    {
        return $this->internal_desc->getValueCount();
    }
}
